<?php

namespace App\Domains\Legal\Controllers;

use App\Providers\InertiaProvider;
use App\Scopes\CommonController;
use Illuminate\Http\Request;
use Inertia\Response;

class ImpressController extends CommonController
{
    public function __invoke(Request $request): Response
    {
        $inertiaProvider = new InertiaProvider('Legal/LegalPage', [
            'title' => 'Impressum',
            'content' => $this->tenant->impress_text ?? '',
        ]);
        return $inertiaProvider->render();
    }
}
